# Audio Player

[![Version](https://img.shields.io/github/release/rello/audioplayer.svg)](https://github.com/rello/audioplayer/blob/master/CHANGELOG.md)&#160;[![License: AGPLv3](https://img.shields.io/badge/license-AGPLv3-blue.svg)](http://www.gnu.org/licenses/agpl-3.0)&#160;&#160;&#160;[![](https://img.shields.io/static/v1?label=Sponsor&message=%E2%9D%A4&logo=GitHub&color=%23fe8e86)](https://github.com/sponsors/Rello) [![Bitcoin](https://img.shields.io/badge/donate-Bitcoin-blue.svg)](https://github.com/rello/audioplayer/wiki/donate)&#160;[![PayPal](https://img.shields.io/badge/donate-PayPal-blue.svg)](https://github.com/rello/audioplayer/wiki/donate)

A music player for FLAC, MP3, MP4, AIF, streams, … with playlist support and SONOS integration.

<img src="https://raw.githubusercontent.com/rello/audioplayer/master/screenshots/audioplayer_screen.png" alt="Main" width="350" height="261" title="Main view with navigation, settings, and sidebar.">

## Features
- Cover or List view by various categories
- tuned for big audio collections
- Smart lists & playlists
- Stream URLs
- Favorites, Search & Collaborative Tag integration
- Specifying media folder (with exclude functionality)
- Hardware media keys & Chrome/Android/macOS integration
- [SONOS player](https://github.com/rello/audioplayer_sonos) via add-on
- Use the Recognize app to classify genres by machine learning

### Supported Formats
FLAC, MP3, MP4, Ogg Vorbis, Opus, AIF, AAC and Waveform Audio as well as M3U and PLS playlist files. Playing the formats supported by Audio Player depends on the browser. [More information…](https://github.com/rello/audioplayer/wiki/audio-files-and-mime-types)

### Supported Browsers
Latest versions of Google Chrome, Mozilla Firefox, and Apple Safari. Mobile browsers and Microsoft Edge may be restricted in functionality and handling. Microsoft Internet Explorer is not supported.

### Languages
English (en), Czech (cs), German (Informal) (de), German (Formal) (de_DE), Polish (pl), Russian (ru), Turkish (tr), Ukrainian (uk), Chinese (Simplified) (zh_CN), Chinese (Traditional) (zh_TW), French (fr), Spain (es)

## Documentation
- [User Documentation](https://github.com/rello/audioplayer/wiki#user-documentation)
- [Admin Documentation](https://github.com/rello/audioplayer/wiki#admin-documentation)

## Installation
- [Nextcloud App Store](https://apps.nextcloud.com/apps/audioplayer)
- [ownCloud Marketplace](https://marketplace.owncloud.com/apps/audioplayer)

### Add-ons
- [ID3 editor](https://github.com/rello/audioplayer_editor "ID3 editor for the Audio Player") – ID3 editor for the Audio Player
- [SONOS](https://github.com/rello/audioplayer_sonos "SONOS Playback for the Audio Player") – SONOS Playback for the Audio Player

### APIs
- Eventdispatcher 'OCA\audioplayer::loadAdditionalScripts'
- Sidebar Tabs: OCA.Audioplayer.Sidebar.registerSidebarTab

## Maintainers
- [Marcel Scherello](https://github.com/rello) (author, project leader)
- [r4sas](https://github.com/r4sas)
- [Martin Matous](https://github.com/mmatous)

## Support
Thank you to PhpStorm from [JetBrains](https://www.jetbrains.com/?from=AudioPlayerforNextcloudandownCloud) <br>
<img src="https://raw.githubusercontent.com/rello/data/master/screenshots/jetbrains.svg" alt="Main" width="100" title="Analytics">
